<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="228dp"
        android:layout_gravity="bottom"
        android:background="@drawable/community_edit_window_bg">
        
        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/avatar"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginTop="10dp"
            android:layout_marginStart="10dp"
            android:padding="6dp"
            app:border_width="0dp"
            app:avatar_width="24dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="@id/avatar"
            app:layout_constraintBottom_toBottomOf="@id/avatar"
            app:layout_constraintStart_toEndOf="@id/avatar"
            android:layout_marginStart="2dp"
            android:text="@string/community_edit_window_hint"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/primary_text_size" />

        <LinearLayout
            android:id="@+id/draft"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintTop_toTopOf="@id/avatar"
            app:layout_constraintBottom_toBottomOf="@id/avatar"
            app:layout_constraintEnd_toEndOf="parent"
            android:gravity="center_vertical"
            android:layout_marginEnd="16dp">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                app:srcCompat="@drawable/icon_menu_draft" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/draft_box"
                android:textColor="@color/text_secondary"
                android:textSize="@dimen/secondary_size"
                android:includeFontPadding="false" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/community_edit_article_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="28dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/community_edit_question_container"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/avatar">

            <ImageView
                android:id="@+id/community_edit_article"
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:src="@drawable/community_edit_article" />

            <TextView
                android:id="@+id/community_edit_article_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:text="发帖子"
                android:textColor="@color/text_secondary"
                android:textSize="12sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/community_edit_question_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="28dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/community_edit_video_container"
            app:layout_constraintStart_toEndOf="@+id/community_edit_article_container"
            app:layout_constraintTop_toBottomOf="@id/avatar">

            <ImageView
                android:id="@+id/community_edit_question"
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:src="@drawable/community_edit_question" />

            <TextView
                android:id="@+id/community_edit_question_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:text="提问"
                android:textColor="@color/text_secondary"
                android:textSize="12sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/community_edit_video_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="28dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/community_edit_question_container"
            app:layout_constraintTop_toBottomOf="@id/avatar">

            <ImageView
                android:id="@+id/community_edit_video"
                android:layout_width="64dp"
                android:layout_height="64dp"
                android:src="@drawable/community_edit_video" />

            <TextView
                android:id="@+id/community_edit_video_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:text="发视频"
                android:textColor="@color/text_secondary"
                android:textSize="12sp" />

        </LinearLayout>

        <ImageView
            android:id="@+id/community_edit_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="28dp"
            android:src="@drawable/community_edit_close"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>